
package de.ivu.elect.business.kandidatur.entity;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.stimmzettel.entity.EntityAufStimmzettelDaten;
import de.ivu.elect.business.wahlvorschlag.entity.Liste;

public class NlListenkandidatur extends NlKandidatur {

  private final Listenkandidatur listenkandidatur;

  public NlListenkandidatur(Listenkandidatur listenkandidatur) {
    super(listenkandidatur);

    this.listenkandidatur = listenkandidatur;
  }

  public Liste getListe() {
    return listenkandidatur.getListe();
  }

  public void setListe(Liste liste) {
    listenkandidatur.setListe(liste);
  }

  public ListenkandidaturStimmzettelPosition getStimmzettelPosition(EntityAufStimmzettelDaten entityAufStimmzettelDaten) {
    return listenkandidatur.getStimmzettelPosition(entityAufStimmzettelDaten);
  }

  public ListenkandidaturStimmzettelPosition getStimmzettelPosition(Gebiet gebiet, EntityAufStimmzettelDaten entityAufStimmzettelDaten) {
    return listenkandidatur.getStimmzettelPosition(gebiet, entityAufStimmzettelDaten);
  }

  public KandidaturStimmzettelPersonendaten getStimmzettelPersonendaten(Gebiet gebiet, EntityAufStimmzettelDaten entityAufStimmzettelDaten) {
    return listenkandidatur.getStimmzettelPersonendaten(gebiet, entityAufStimmzettelDaten);
  }
  public long getAnzahlListen() {
    return listenkandidatur.getIdentischVerknuepfteListenkandidaturen().size()+1;
  }

  public void setListenposition(Long position) {
    listenkandidatur.setRelativePosition(position);
    listenkandidatur.setVorgegebenePosition(position);
  }

  @Override
  public NlListenkandidaturProperties getProperties() {
    return new NlListenkandidaturProperties(listenkandidatur);
  }
}
